Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008230 [DCSS] Patches minor have not tried 2014-03-05 05:33 2014-03-18 03:32
Reporter chris View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0008230: Remove racial armor
Description  Schedule racial armor ISFLAG_* enums for removal or recycling
 Remove MAKE_ITEM_* as well
 Remove some references to racial armor and items
 Remove remaining `race:` armor specifications from vaults
 Ignore racial armor in tiles
 Monsters no longer prefer matching racial armor
 Simplify some mon-gear code
 Stop generation of racial armor
 Racial body armor has no effect on spellcasting
 Racial armor does not alter players' effective Armour skill
 No longer reduce item mass of elven armor
 Remove stealth bonus from elven boots and cloaks
 Make all armor dwarven for purposes of corrosion resistance
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Armor.patch [^] (100,532 bytes) 2014-03-05 08:57 [Show Content]

- Relationships

-  Notes
(0025489)
MarvinPA (developer)
2014-03-06 11:25

Squashed (minus the corrosion change) and pushed, thanks!

- Issue History
Date Modified Username Field Change
2014-03-05 05:33 chris New Issue
2014-03-05 05:33 chris File Added: 0001-Armor.patch
2014-03-05 05:39 MarvinPA Issue Monitored: MarvinPA
2014-03-05 08:11 chris File Deleted: 0001-Armor.patch
2014-03-05 08:57 chris File Added: 0001-Armor.patch
2014-03-05 17:31 wheals Issue Monitored: wheals
2014-03-06 11:25 MarvinPA Note Added: 0025489
2014-03-06 11:25 MarvinPA Status new => resolved
2014-03-06 11:25 MarvinPA Fixed in Branch => 0.14 development branch
2014-03-06 11:25 MarvinPA Resolution open => done
2014-03-06 11:25 MarvinPA Assigned To => MarvinPA
2014-03-18 03:32 chris Status resolved => closed
2014-03-21 01:32 umrain Issue Monitored: umrain
2014-03-21 01:32 umrain Issue End Monitor: umrain
2014-05-15 07:46 MarvinPA Issue End Monitor: MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker